const fs = require('fs');

var characters = [
  { romaji: 'a', hiragana: 'あ', katakana: 'ア' },
  { romaji: 'i', hiragana: 'い', katakana: 'イ' },
  { romaji: 'u', hiragana: 'う', katakana: 'ウ' },
  { romaji: 'e', hiragana: 'え', katakana: 'エ' },
  { romaji: 'o', hiragana: 'お', katakana: 'オ' },
  { romaji: 'ka', hiragana: 'か', katakana: 'カ' },
  { romaji: 'ki', hiragana: 'き', katakana: 'キ' },
  { romaji: 'ku', hiragana: 'く', katakana: 'ク' },
  { romaji: 'ke', hiragana: 'け', katakana: 'ケ' },
  { romaji: 'ko', hiragana: 'こ', katakana: 'コ' },
  { romaji: 'sa', hiragana: 'さ', katakana: 'サ' },
  { romaji: 'shi', hiragana: 'し', katakana: 'シ' },
  { romaji: 'su', hiragana: 'す', katakana: 'ス' },
  { romaji: 'se', hiragana: 'せ', katakana: 'セ' },
  { romaji: 'so', hiragana: 'そ', katakana: 'ソ' },
  { romaji: 'ta', hiragana: 'た', katakana: 'タ' },
  { romaji: 'chi', hiragana: 'ち', katakana: 'チ' },
  { romaji: 'tsu', hiragana: 'つ', katakana: 'ツ' },
  { romaji: 'te', hiragana: 'て', katakana: 'テ' },
  { romaji: 'to', hiragana: 'と', katakana: 'ト' },
  { romaji: 'na', hiragana: 'な', katakana: 'ナ' },
  { romaji: 'ni', hiragana: 'に', katakana: 'ニ' },
  { romaji: 'nu', hiragana: 'ぬ', katakana: 'ヌ' },
  { romaji: 'ne', hiragana: 'ね', katakana: 'ネ' },
  { romaji: 'no', hiragana: 'の', katakana: 'ノ' },
  { romaji: 'ha', hiragana: 'は', katakana: 'ハ' },
  { romaji: 'hi', hiragana: 'ひ', katakana: 'ヒ' },
  { romaji: 'fu', hiragana: 'ふ', katakana: 'フ' },
  { romaji: 'he', hiragana: 'へ', katakana: 'ヘ' },
  { romaji: 'ho', hiragana: 'ほ', katakana: 'ホ' },
  { romaji: 'ma', hiragana: 'ま', katakana: 'マ' },
  { romaji: 'mi', hiragana: 'み', katakana: 'ミ' },
  { romaji: 'mu', hiragana: 'む', katakana: 'ム' },
  { romaji: 'me', hiragana: 'め', katakana: 'メ' },
  { romaji: 'mo', hiragana: 'も', katakana: 'モ' },
  { romaji: 'ya', hiragana: 'や', katakana: 'ヤ' },
  { romaji: 'yu', hiragana: 'ゆ', katakana: 'ユ' },
  { romaji: 'yo', hiragana: 'よ', katakana: 'ヨ' },
  { romaji: 'ra', hiragana: 'ら', katakana: 'ラ' },
  { romaji: 'ri', hiragana: 'り', katakana: 'リ' },
  { romaji: 'ru', hiragana: 'る', katakana: 'ル' },
  { romaji: 're', hiragana: 'れ', katakana: 'レ' },
  { romaji: 'ro', hiragana: 'ろ', katakana: 'ロ' },
  { romaji: 'wa', hiragana: 'わ', katakana: 'ワ' },
  { romaji: 'wo', hiragana: 'を', katakana: 'ヲ' },
  { romaji: 'n', hiragana: 'ん', katakana: 'ン' },
  { romaji: 'kya', hiragana: 'きゃ', katakana: 'キャ' },
  { romaji: 'kyu', hiragana: 'きゅ', katakana: 'キュ' },
  { romaji: 'kyo', hiragana: 'きょ', katakana: 'キョ' },
  { romaji: 'sha', hiragana: 'しゃ', katakana: 'シャ' },
  { romaji: 'shu', hiragana: 'しゅ', katakana: 'シュ' },
  { romaji: 'sho', hiragana: 'しょ', katakana: 'ショ' },
  { romaji: 'cha', hiragana: 'ちゃ', katakana: 'チャ' },
  { romaji: 'chu', hiragana: 'ちゅ', katakana: 'チュ' },
  { romaji: 'cho', hiragana: 'ちょ', katakana: 'チョ' },
  { romaji: 'nya', hiragana: 'にゃ', katakana: 'ニャ' },
  { romaji: 'nyu', hiragana: 'にゅ', katakana: 'ニュ' },
  { romaji: 'nyo', hiragana: 'にょ', katakana: 'ニョ' },
  { romaji: 'hya', hiragana: 'ひゃ', katakana: 'ヒャ' },
  { romaji: 'hyu', hiragana: 'ひゅ', katakana: 'ヒュ' },
  { romaji: 'hyo', hiragana: 'ひょ', katakana: 'ヒョ' },
  { romaji: 'mya', hiragana: 'みゃ', katakana: 'ミャ' },
  { romaji: 'myu', hiragana: 'みゅ', katakana: 'ミュ' },
  { romaji: 'myo', hiragana: 'みょ', katakana: 'ミョ' },
  { romaji: 'rya', hiragana: 'りゃ', katakana: 'リャ' },
  { romaji: 'ryu', hiragana: 'りゅ', katakana: 'リュ' },
  { romaji: 'ryo', hiragana: 'りょ', katakana: 'リョ' },
  { romaji: 'ga', hiragana: 'が', katakana: 'ガ' },
  { romaji: 'gi', hiragana: 'ぎ', katakana: 'ギ' },
  { romaji: 'gu', hiragana: 'ぐ', katakana: 'グ' },
  { romaji: 'ge', hiragana: 'げ', katakana: 'ゲ' },
  { romaji: 'go', hiragana: 'ご', katakana: 'ゴ' },
  { romaji: 'za', hiragana: 'ざ', katakana: 'ザ' },
  { romaji: 'ji', hiragana: 'じ', katakana: 'ジ' },
  { romaji: 'zu', hiragana: 'ず', katakana: 'ズ' },
  { romaji: 'ze', hiragana: 'ぜ', katakana: 'ゼ' },
  { romaji: 'zo', hiragana: 'ぞ', katakana: 'ゾ' },
  { romaji: 'da', hiragana: 'だ', katakana: 'ダ' },
  { romaji: 'de', hiragana: 'で', katakana: 'デ' },
  { romaji: 'do', hiragana: 'ど', katakana: 'ド' },
  { romaji: 'ba', hiragana: 'ば', katakana: 'バ' },
  { romaji: 'bi', hiragana: 'び', katakana: 'ビ' },
  { romaji: 'bu', hiragana: 'ぶ', katakana: 'ブ' },
  { romaji: 'be', hiragana: 'べ', katakana: 'ベ' },
  { romaji: 'bo', hiragana: 'ぼ', katakana: 'ボ' },
  { romaji: 'pa', hiragana: 'ぱ', katakana: 'パ' },
  { romaji: 'pi', hiragana: 'ぴ', katakana: 'ピ' },
  { romaji: 'pu', hiragana: 'ぷ', katakana: 'プ' },
  { romaji: 'pe', hiragana: 'ぺ', katakana: 'ペ' },
  { romaji: 'po', hiragana: 'ぽ', katakana: 'ポ' },
  { romaji: 'gya', hiragana: 'ぎゃ', katakana: 'ギャ' },
  { romaji: 'gyu', hiragana: 'ぎゅ', katakana: 'ギュ' },
  { romaji: 'gyo', hiragana: 'ぎょ', katakana: 'ギョ' },
  { romaji: 'ja', hiragana: 'じゃ', katakana: 'ジャ' },
  { romaji: 'ju', hiragana: 'じゅ', katakana: 'ジュ' },
  { romaji: 'jo', hiragana: 'じょ', katakana: 'ジョ' },
  { romaji: 'bya', hiragana: 'びゃ', katakana: 'ビャ' },
  { romaji: 'byu', hiragana: 'びゅ', katakana: 'ビュ' },
  { romaji: 'byo', hiragana: 'びょ', katakana: 'ビョ' },
  { romaji: 'pya', hiragana: 'ぴゃ', katakana: 'ピャ' },
  { romaji: 'pyu', hiragana: 'ぴゅ', katakana: 'ピュ' },
  { romaji: 'pyo', hiragana: 'ぴょ', katakana: 'ピョ' }
];

for (c_index in characters) {
    console.log(characters[c_index].hiragana)

    fs.appendFile('katakana.txt', characters[c_index].katakana + '\n', function (err) {
      if (err) throw err;
      console.log('Saved!');
    });

    fs.appendFile('hiragana.txt', characters[c_index].hiragana + '\n', function (err) {
      if (err) throw err;
      console.log('Saved!');
    });
}